<template>
  <div id="FAQ" class="faq layered">
    <div class="faq__container">
      <el-row justify="center">
        <el-image class="faq-img" :src="img" fit="contain" />
        <div class="faq__wrapper">
          <el-collapse v-model="activeFaq" accordion>
            <el-collapse-item v-for="(faq, index) in faqs" :key="index" :title="faq.head" :name="faq.id">
              <p class="text-gray-700">
                {{ faq.body }}
              </p>
            </el-collapse-item>
          </el-collapse>
        </div>
      </el-row>
    </div>
  </div>
</template>

<script>
import { faqs } from './faq.js'
export default {
  name: 'FAQ',
  data() {
    return {
      img: require('@/assets/landing-page/faq.png'),
      activeFaq: '1',
      faqs
    }
  }
}
</script>

<style lang="scss" scoped>
.faq {
  background: transparent;
  &__container {
    padding: 50px 120px;
  }
  &__wrapper {
    padding: 20px 120px 0 10px;
  }
}

.layered {
  background-image: url('~@/assets/landing-page/faq-layer.png');
  background-repeat: no-repeat;
  background-position: right center;
}

.faq-img {
  width: auto;
  height: 235px;
}

@media screen and (max-width: 600px) {
  .faq {
    &__container {
      padding: 30px;
    }
    &__wrapper {
      padding: 0;
    }
  }
  .faq-img {
    width: auto;
    height: auto;
  }
  p {
    font-size: 12px;
    text-align: center;
  }
}
</style>

<style lang="scss">
.el-collapse {
  border: none;
}
.el-collapse-item {
  &__header {
    background: transparent;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-size: 16px;
    height: auto;
  }
  &__wrap {
    background: transparent;
  }
  &__content {
    max-width: 800px;
    padding: 0;
  }
  &__arrow {
    font-weight: 700;
  }
}

@media screen and (max-width: 600px) {
  .el-collapse-item {
    &__header {
      font-size: 12px;
    }
  }
}
</style>
